/*
 * $Id: filter.h,v 1.1.1.1 1999/06/28 15:03:55 labovit Exp $
 */

#ifndef _FILTER_H
#define _FILTER_H

#include <aspath.h>

#define ROUTE_MAP_ASPATH_PREPEND 0x01

#define MAX_ROUTE_MAP 100
typedef struct _route_map_t {
    u_long num;
    u_long flag;
    /* condition */
    bgp_attr_t *attr;
} route_map_t;

route_map_t *add_route_map (int num, bgp_attr_t *attr, u_long flag);
route_map_t *get_route_map (int num, bgp_attr_t * attr);
void del_route_map (int num);
bgp_attr_t *apply_route_map (int num, bgp_attr_t *attr);
char *route_map_toa (int num);
int route_map_toa2 (route_map_t *route_map, char *cp);

#endif /* _FILTER_H */
